org.apache.jasper.el

## Class ELResolverImpl

- java.lang.Object
- - javax.el.ELResolver
  - - org.apache.jasper.el.ELResolverImpl

Deprecated.

    @Deprecated
    public final class ELResolverImpl
    extends ELResolver

### Field Summary

### Fields inherited from class javax.el.ELResolver

`RESOLVABLE_AT_DESIGN_TIME, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`ELResolverImpl(VariableResolver variableResolver, ExpressionFactory factory)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`Class<?>` `getCommonPropertyType(ELContext context, Object base)` Deprecated.
`Iterator<FeatureDescriptor>` `getFeatureDescriptors(ELContext context, Object base)` Deprecated.
`Class<?>` `getType(ELContext context, Object base, Object property)` Deprecated.
`Object` `getValue(ELContext context, Object base, Object property)` Deprecated.
`boolean` `isReadOnly(ELContext context, Object base, Object property)` Deprecated.
`void` `setValue(ELContext context, Object base, Object property, Object value)` Deprecated.

### Methods inherited from class javax.el.ELResolver

`convertToType, invoke`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ELResolverImpl

    public ELResolverImpl(VariableResolver variableResolver,
                          ExpressionFactory factory)

Deprecated.

### Method Detail

#### getValue

    public Object getValue(ELContext context,
                           Object base,
                           Object property)

Deprecated.

Specified by:
  `getValue` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be returned
Returns:
  the value of the provided property

#### getType

    public Class<?> getType(ELContext context,
                            Object base,
                            Object property)

Deprecated.

Specified by:
  `getType` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose type is to be returned
Returns:
  the type of the provided property

#### setValue

    public void setValue(ELContext context,
                         Object base,
                         Object property,
                         Object value)

Deprecated.

Specified by:
  `setValue` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property whose value is to be set
  `value` - The value to set the property to

#### isReadOnly

    public boolean isReadOnly(ELContext context,
                              Object base,
                              Object property)

Deprecated.

Specified by:
  `isReadOnly` in class `ELResolver`
Parameters:
  `context` - The EL context for this evaluation
  `base` - The base object on which the property is to be found
  `property` - The property to be checked for read only status
Returns:
  `true` if the identified property is read only, otherwise `false`

#### getFeatureDescriptors

    public Iterator<FeatureDescriptor> getFeatureDescriptors(ELContext context,
                                                             Object base)

Deprecated.

Specified by:
  `getFeatureDescriptors` in class `ELResolver`

#### getCommonPropertyType

    public Class<?> getCommonPropertyType(ELContext context,
                                          Object base)

Deprecated.

Specified by:
  `getCommonPropertyType` in class `ELResolver`